/* vim: set noet: */
html, body {
	background-color: #24292A;
	color: #FFF;
	font-family: sans-serif;
	font-size: 12pt;
}

@media screen and (min-width: 620px) {
section {
	padding: 8px 16px;
	margin: 0 auto;
	max-width: 620px;
}
}

a {
	color: #99f;
	text-decoration: none;
}

a:hover {
	color: #aaf;
}

a img
{
	border: none;
}

form { display: inline; }

.clear
{
	clear: both;
	height: 0;
	overflow: hidden;
}

#game
{
	margin: 0 auto;
	border: 2px solid #CCC;
}

#grid
{
	background-color: #67A0CF;
	overflow: hidden;
}

.grid-row,
.grid-row > div
{
	height: 24px;
}

.grid-row > div
{
	float: left;
	width: 32px;
	background-position: 0% 0%;
	background-repeat: no-repeat;
	z-index: 100;
}

.grid-row > div *
{
	z-index: 100;
}

.grid-row > div > img
{
	display: block;
}


#info
{
	background-color: #FFF;
	color: #000;
	font-family: Courier;
	font-size: 12px;
	font-weight: bold;
	height: 15px;
}

#info #map,
#info #moves,
#info #pushes,
#info #time
{
	float: left;
	text-align: right;
}

#info #map    { width: 50px; }
#info #moves  { width: 180px; }
#info #pushes { width: 180px; }
#info #time   { width: 180px; }

#elevator { }
#elevator tr { margin: 0; }
#elevator td { padding: 6px 9px; cursor: pointer; color: white; }
#elevator td div { margin: 5px; background-color: #332d46; border-radius: 4px; padding: 5px; }
#elevator td div:hover {
	color: white;
}
